Subject: Re: dhcp-based netboot over jumbo-frame network?

From: Rick Jones <[email-masked]>
Date: Wed, 08 Apr 2009 12:15:46 -0700

Chris Friesen wrote:
> 
> Hi all,
> 
> We have an existing system that loads a bare kernel using tftp, then 
> mounts a rootfs via NFS.  The wrinkle is that this is on a jumbo-frame 
> enabled network, so somehow the MTU needs to be set before mounting the 
> rootfs.

Why?  Is the NFS mount not TCP?  If it is TCP, then the TCP MSS exchange will 
provide you cover as it will (should) cause TCP in the NFS server to segment to 
the MSS option your system with the then-smaller MTU sends.

I would think that only if the NFS mount is UDP that you would have a problem 
with the system initially booting with a small MTU.

> In a previous version we patched ipconfig.c to support the DHCP option 
> to specify the MTU value, but I'm wondering about the "proper" way to do 
> this on current kernels.

Was the change submitted to upstream and rejected?

rick jones